toolBar_mouseDblClick( objectID );

/**
 *  Definição das Funções do Usuário  --------------------------------------  //
 */
if( objectID.indexOf('toolBar') != -1 )
{
/**
 * paleta Auxiliar
 *  ------------------------------------------------------------------------  //
 */
  toolBar2_mouseDblClick_button4( objectID );  /*   */

/**
 *  paleta Padrão
 *  ------------------------------------------------------------------------  //
 */
  toolBar3_mouseDblClick_button1( objectID );    /*                         */
  toolBar3_mouseDblClick_button3( objectID );    /*  Componente Label       */
  toolBar3_mouseDblClick_button4( objectID );    /*  Componente Edit        */
  toolBar3_mouseDblClick_button5( objectID );    /*  Componente ComboBox    */
  toolBar3_mouseDblClick_button6( objectID );    /*  Componente TextArea    */
//  toolBar3_mouseDblClick_button7( objectID );  /*  Componente MainMenu    */
  toolBar3_mouseDblClick_button7( objectID );    /*  Componente image    */
  toolBar3_mouseDblClick_button8( objectID );    /*  Componente Button      */
  toolBar3_mouseDblClick_button9( objectID );    /*  Componente CheckBox    */
  toolBar3_mouseDblClick_button10( objectID );   /*  Componente RadioButton */

/**
 *  paleta Adicional
 *  ------------------------------------------------------------------------  //
 */
  toolBar4_mouseDblClick_button1( objectID );
  toolBar4_mouseDblClick_button2( objectID );  /*  Componente tabControl  */
  toolBar4_mouseDblClick_button3( objectID );  /*  Componente fieldSet    */
  toolBar4_mouseDblClick_button4( objectID );  /*  Componente panel       */
  toolBar4_mouseDblClick_button5( objectID );  /*  Componente MainMenu    */
//  toolBar4_mouseDblClick_button5( objectID );  /*  Componente image       */

  toolBar4_mouseDblClick_button7( objectID );  /*  Componente colorPicker  */


  /* paleta Sistema */
  toolBar5_mouseDblClick_button1( objectID );
  toolBar5_mouseDblClick_button2( objectID );  /*  Componente timmer       */

  /* paleta dataAccess */
  toolBar6_mouseDblClick_button1( objectID );   /*  */
  toolBar6_mouseDblClick_button2( objectID );
  toolBar6_mouseDblClick_button3( objectID );
  toolBar6_mouseDblClick_button4( objectID );   /*  Componente DBGrid  */
  toolBar6_mouseDblClick_button5( objectID );   /*  Componente DBText  */
  toolBar6_mouseDblClick_button6( objectID );   /*  Componente DBNavigator  */
  toolBar6_mouseDblClick_button9( objectID );   /*  Componente Table   */
  toolBar6_mouseDblClick_button10( objectID );  /*  Componente Query   */


}// End if( objectID.indexOf('toolBar') != -1 )


/**
 *  Funções criadas pelo usuário  ------------------------------------------  //
 *  ============================
 */




function toolBar2_mouseDblClick_button4( objID )
{
  if( objID.indexOf( 'toolBar2' ) != -1 &&
      objID.indexOf( 'button4' )  != -1     )
  {
    dataAccess.teste1('test1...');
    //dataAccess.teste2('testando2...');

    //alert('teste: ok');
  }
}// End function()


function toolBar3_mouseDblClick_button1( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      // alert(objectID );
    }// End if()
  }
}// End function


/**
 *  Paleta Padrão
 *  Componente Label
 *  ------------------------------------------------------------------------  //
 *  tooBar3_mouseDblClick_button3()
 *  ------------------------------------------------------------------------  //
 */
function toolBar3_mouseDblClick_button3( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button3' )  != -1     )
  {
//alert('1');
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      //cmd = "addObj:label:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      cmd = "addObj:label:padrao:" + objSELECTED + ":" + nProjeto_ + ":" + loginUSER ;

      //alert( cmd );
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function

function toolBar3_mouseDblClick_button4( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button4' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:edit:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()

function toolBar3_mouseDblClick_button5( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button5' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:comboBox:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()

    //alert( 'comboBox' );
  }// End if()
}//End function()


/**
 *  Paleta Padrão
 *  Componente TextArea
 */
function toolBar3_mouseDblClick_button6( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button6' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:textArea:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()


/**
 *  Paleta Padrão
 *  Componente Image
 */
function toolBar3_mouseDblClick_button7( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button7' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
//alert('Image');
    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:image:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()


/**
 *  Paleta Padrão
 *  Componente Button
 */
function toolBar3_mouseDblClick_button8( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button8' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:button:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()


/**
 *  Paleta Padrão
 *  Componente CheckBox
 */
function toolBar3_mouseDblClick_button9( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button9' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:checkBox:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()




/**
 *  Paleta Padrão
 *  Componente RadioButton
 */
function toolBar3_mouseDblClick_button10( objID )
{
  if( objID.indexOf( 'toolBar3' ) != -1 &&
      objID.indexOf( 'button10' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:radioButton:padrao:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }// End if()
}//End function()



/**
 *  Paleta Adicional
 *  ------------------------------------------------------------------------- //
 */

/**
 *  Select
 */
function toolBar4_mouseDblClick_button1( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      //alert( '4: '+objectID );
    }// End if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
  }// End if()
}// End function

/**
 *  Componente TabControl  -------------------------------------------------  //
 */
function toolBar4_mouseDblClick_button2( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button2' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

      cmd = "addObj:tabControl:adicional:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function


/**
 *  Componente fieldSet  ---------------------------------------------------  //
 */
function toolBar4_mouseDblClick_button3( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button3' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

//      cmd = "addObj:fieldSet:adicional:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
//      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function

/**
 * Componente Panel  -------------------------------------------------------  //
 */
function toolBar4_mouseDblClick_button4( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button4' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

      cmd = "addObj:panel:adicional:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
  }// End if()
}// End function


/**
 * Componente Image  -------------------------------------------------------  //
 */
function toolBar4_mouseDblClick_button5( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button5' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

      cmd = "addObj:image:adicional:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

//      Mensage.exeCMD( cmd );
    }// End if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
  }// End if()
}// End function


/**
 * Componente colorPicker  -------------------------------------------------  //
 */
function toolBar4_mouseDblClick_button7( objID )
{
  if( objID.indexOf( 'toolBar4' ) != -1 &&
      objID.indexOf( 'button7' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

      cmd = "addObj:colorPicker:adicional:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
//alert(cmd);
      Mensage.exeCMD( cmd );
    }// End if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
  }// End if()
}// End function




/**
 *  Paleta Sistema
 *  ------------------------------------------------------------------------- //
 */
function toolBar5_mouseDblClick_button1( objID )
{
  if( objID.indexOf( 'toolBar5' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      //alert( '5: '+objectID );
    }// End if()
  }
}// End function


/**
 *  Paleta Sistema
 *  ------------------------------------------------------------------------- //
 *  Componente timmer
 */
function toolBar5_mouseDblClick_button2( objID )
{
  if( objID.indexOf( 'toolBar5' ) != -1 &&
      objID.indexOf( 'button2' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }// End if ( objSELECTED == '' )

      cmd = "addObj:timmer:sistema:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
//alert(cmd);
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function


/**
 *  Paleta DataAccess  -----------------------------------------------------  //
 *  =================
 */
 
/**
 *  botão select
 */
function toolBar6_mouseDblClick_button1( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
alert( '6: '+objectID );
    }// End if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
  }// End if()
}// End function toolBar6_mouseDblClick_button1( objID )


/**
 *  Componente DataSource
 */
function toolBar6_mouseDblClick_button2( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button2' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:dataSource:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;

      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button2( objID )

/**
 *  Componente DbEdit
 */
function toolBar6_mouseDblClick_button3( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button3' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
//alert('Button3');

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:dbEdit:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button2( objID )

/**
 *  toolBar6_mouseDblClick_button4( objID )
 */
function toolBar6_mouseDblClick_button4( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button4' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
//alert('Button4');

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:dbgrid:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button4( objID )


/**
 *  toolBar6_mouseDblClick_button5( objID )
 */
function toolBar6_mouseDblClick_button5( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button5' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
//alert('Button5');

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:dbtext:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button5( objID )


/**
 *  toolBar6_mouseDblClick_button6( objID )
 *  ------------------------------------------------------------------------  //
 *
 */
function toolBar6_mouseDblClick_button6( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button6' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:dbnavigator:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      Mensage.exeCMD( cmd );
    }// End if()

  }// End if()
}// End

/**
 *  toolBar6_mouseDblClick_button9( objID )
 */
function toolBar6_mouseDblClick_button9( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button9' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
//alert('Button9');

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:table:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button2( objID )


/**
 *  Componente Query da Paleta DataAccess
 */
function toolBar6_mouseDblClick_button10( objID )
{
  if( objID.indexOf( 'toolBar6' ) != -1 &&
      objID.indexOf( 'button10' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );
alert('Button10');

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( objSELECTED == '' )
      {
        var nObjSelect = 'page1';
      }else
      {
        var nObjSelect = objSELECTED;
      }
      cmd = "addObj:query:dataAccess:" + nObjSelect + ":" + nProjeto_ + ":" + loginUSER ;
      //Mensage.exeCMD( cmd );
    }// End if()
  }
}// End function toolBar6_mouseDblClick_button2( objID )




